in reply to Can't install XML::LibXML

The XML::LibXML module provides an XS wrapper around the libxml2 library so if you're building from source then a compiler is required. But building from source is not usually required. A PPM for ActivePerl on Windows is available as documented in the Perl XML FAQ. For Linux, simply install the appropriate package from your distribution (eg: 'apt-get install libxml-libxml-perl' on Debian) and dependencies will be resolved automatically.

If you have a problem that you want help to solve, then perhaps you might like to tell us what you tried and what happened.

Replies are listed 'Best First'.
Re^2: Can't install XML::LibXML
by bensum (Initiate) on Jan 15, 2010 at 10:23 UTC
    i can't install XML::LibXSLT on debian etch see the reaction one stubborn package, XML::LIBXSLT won't install. >> >> It looks like it may work, then: >> >> /usr/bin/ld: cannot find -lgdbm >> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< >> collect2: ld returned 1 exit status >> make: *** blib/arch/auto/XML/LibXSLT/LibXSLT.so Error 1 >> /usr/bin/make -- NOT OK >> Running make test >> Can't test without successful make >> Running make install >> make had returned bad status, install seems impossible please help to mee my email bensumfr@yahoo.fr

      Do you have libgdm? apt-get install libgdbm3 should get it for you.

      Also please read the formatting information when posting, Writeup Formatting Tips.